Search found 3045 matches

Go to advanced search

by mario52
Tue Mar 12, 2013 4:04 pm
Forum: Forum français
Topic: Cercle Circonscrit 3D
Replies: 19
Views: 4419

Re: Cercle Circonscrit 3D

Bonjour galou_breizh c'est ce que j’avais cherché, circonscrire un cercle sur trois points n'importe ou dans l'espace, mais il faut s'y connaître :!: sans oublier l'application de l'API de FreeCAD ;) j'ai fait tourner ton code qui va bien, mais sous certaines circonstances ? j'ai du faire moins angl...
by mario52
Mon Mar 11, 2013 2:13 pm
Forum: Forum français
Topic: Cercle Circonscrit 3D
Replies: 19
Views: 4419

Re: Cercle Circonscrit 3D

Bonjour petite modification du code, maintenant si toutes les coordonnées Z sont les mêmes, le cercle s'aligne à la coordonnée Z sinon, à la coordonnée Z=0 # -*- coding: utf-8 -*- # créer un cercle à partir de 3 points séléctionnés sur le plan X,Y # 04/03/2013 # la formule provient de # http://www-o...
by mario52
Sun Mar 10, 2013 2:04 pm
Forum: Forum français
Topic: Cercle Circonscrit 3D
Replies: 19
Views: 4419

Re: Cercle Circonscrit 3D

Bonjour @ mario52 : il est super ce script ! :) merci et le fait que flachyjoe a travaillé avec BoundBox.Center , les points ou plutôt les coordonnées se situent au centre de n'importe quelle forme (sauf le texte) et le cercle est tracé à partir de ces coordonnées mais pour le moment toujours sur le...
by mario52
Sat Mar 09, 2013 4:51 pm
Forum: Forum français
Topic: Cercle Circonscrit 3D
Replies: 19
Views: 4419

Re: Cercle Circonscrit 3D

Bonjour, voici un code qui permet de créer un cercle sur le plan X,Y à partir de 3 points sélectionnés. La formule viens de http://www-obs.univ-lyon1.fr/labo/fc/Ateliers_archives/ateliers_2005-06/cercle_3pts.pdf , avec l'aimable autorisation de son auteur. # -*- coding: utf-8 -*- # créer un cercle s...
by mario52
Thu Mar 07, 2013 9:04 am
Forum: Forum français
Topic: Modérateur
Replies: 12
Views: 2274

Re: Modérateur

Bonjour
oui j'ai eu ce bouton que j'ai utilisé mais uniquement sur mon dernier post de la discussion, les autres n'en possèdent pas, je crois que c'est voulu.
mario
by mario52
Sun Mar 03, 2013 8:44 pm
Forum: Forum français
Topic: [PYTHON] coordonnées d'un point
Replies: 1
Views: 2787

[PYTHON] coordonnées d'un point

Bonjour De quoi se simplifier la vie ;) On peut corser un petit peux ;) et ouvrir un post FR dédié à la programmation FreeCAD et Python qu'en penses tu ? je lis les API mais pour les utiliser ! et comme je ne suis pas le seul. je voudrais savoir comment obtenir les coordonbnées d'un point, et les ut...
by mario52
Wed Feb 27, 2013 8:04 pm
Forum: Forum français
Topic: [PYTHON] Astuces
Replies: 6
Views: 1613

Re: Astuces python

Bonjour
Dans la console Python de FreeCAD, la frappe sur la touche escape permet de commenter la ligne courante.
mario
by mario52
Mon Feb 25, 2013 1:46 pm
Forum: Forum français
Topic: une commande pour mettre à jour des volumes en changeant la
Replies: 7
Views: 1110

Re: une commande pour mettre à jour des volumes en changeant la

Bonjour alors peut être en utilisant la fonction move qui déplace un ou plusieurs objet(s) sélectionné(s) import FreeCAD,Draft Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0)) https://sourceforge.net/apps/mediawiki/free-cad/index.php?title=Draft_API/fr https://sourceforge.net/ap...
by mario52
Mon Feb 25, 2013 10:33 am
Forum: Forum français
Topic: une commande pour mettre à jour des volumes en changeant la
Replies: 7
Views: 1110

Re: une commande pour mettre à jour des volumes en changeant la

Bonjour en mettant l'opération à jour >>> xZero=1 >>> yZero=0 >>> zZero=0 >>> vecteurZero=FreeCAD.Vector(xZero, yZero, zZero) >>> vecteurZero Vector (1, 0, 0) >>> xZero=2 >>> vecteurZero=FreeCAD.Vector(xZero, yZero, zZero) >>> vecteurZero Vector (2, 0, 0) >>> ou tu peux construire une petite procédu...
by mario52
Sun Feb 24, 2013 9:51 pm
Forum: Forum français
Topic: Installer atelier Info pour calcul du volume
Replies: 7
Views: 2798

Re: Installer atelier Info pour calcul du volume

Bonjour Installation sous Windows Ou peut-être simplement le dossier Info doit-il être copié directement dans Program Files\FreeCAD0.13\Mod ? exactement, décompresser le zip et le placer dans le répertoire Mod de FreeCAD et voila le résultat http://www.zimagez.com/miniature/freecadinfo.png mario

Go to advanced search